## org.eclipse.datatools.connectivity
Interface IOfflineConnection

All Superinterfaces:
  IConnection

    public interface IOfflineConnection

extends IConnection

An offline connection is used to present an offline view of the server to the user. This may involve loading a model that was persisted the last time the user connected to the server (as in the case of ConnectionInfo connections saving a SQL model for the database) or some other provider defined action.

Author:
  rcernich Created on Apr 2, 2007

Method Summary
`void` `attach(IProgressMonitor monitor)` Attach this connection to the server.
`void` `detach(IProgressMonitor monitor)` Detach this connection from the server.
`boolean` `isWorkingOffline()`
`void` `save(IProgressMonitor monitor)` Called by the framework when the user invokes save offline.

Methods inherited from interface org.eclipse.datatools.connectivity.IConnection
`close, getConnectException, getConnectionProfile, getRawConnection`

Method Detail

### attach

    void attach(IProgressMonitor monitor)
                throws CoreException

  Attach this connection to the server. In other words, try to connect to the server and update the state of this connection. It is up to the provider to determine how to merge offline changes with the server.

  Parameters:
    `monitor` -
  Throws:
    `CoreException`

### detach

    void detach(IProgressMonitor monitor)
                throws CoreException

  Detach this connection from the server. If this connection does not hold an active connection to the server, no action is taken. The provider may persist the current state of this connection when this method is invoked. (The provider may perform this task in close() as well.)

  Parameters:
    `monitor` -
  Throws:
    `CoreException`

### save

    void save(IProgressMonitor monitor)
              throws CoreException

  Called by the framework when the user invokes save offline.

  Parameters:
    `monitor` -
  Throws:
    `CoreException`

### isWorkingOffline

    boolean isWorkingOffline()

  Returns:
    true if the connection is currently detached from the server (i.e. it's an offline connection)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.